炫意html5
最早CSS3和HTML5移动技术网站之一

Python框架Flask – Flask开发环境安装配置

安装Flask通常需要Python 2.6或更高版本。 尽管Flask及其依赖与Python 3(Python 3.3以上版本)配合良好,但许多Flask扩展并不能正确支持它。 因此,但是官方建议在Python 3.6+ 以上安装Flask。

安装virtualenv

virtualenv是一个虚拟的Python环境构建器。 它可以帮助用户并行创建多个Python环境。 因此,它可以避免不同版本的库之间的兼容性问题。

使用虚拟环境在开发和生产中管理项目的依赖关系。

虚拟环境解决什么问题? 您拥有的Python项目越多,可能需要使用不同版本的Python库,甚至Python本身的版本也不相同。一个项目的较新版本的库可能会破坏另一个项目的兼容性。

虚拟环境是独立的Python库组,每个项目一个环境。一个项目安装的软件包不会影响其他项目或操作系统的软件包。

如果您使用的是:Python 2.x 那么可以参考以下安装开发 virtualenv 。

以下命令在C:/pythonX/scripts路径下安装virtualenv,这里X是Python的版本名称。

pip install virtualenv

输出应该是这样的 –

Collecting virtualenv
Downloading virtualenv-15.0.1-py2.py3-none-any.whl (1.8MB)
100% |################################| 1.8MB 204kB/s
Installing collected packages: virtualenv
Successfully installed virtualenv-15.0.1

该命令需要管理员权限。 在Linux/Mac OS上需要在pip之前添加sudo。 如果在Windows上,请以管理员身份登录。在Ubuntu上,virtualenv可以使用其包管理器进行安装。

$ sudo apt-get install virtualenv

安装完成后,新的虚拟环境将在文件夹中创建。

mkdir newproj
cd newproj
virtualenv venv

要激活相应的环境,请在Linux/OS X上使用以下命令 –

$ venv/bin/activate

在Windows上,可以使用以下命令 –

venv\scripts\activate

现在准备在这个环境中安装Flask。

$ pip install Flask

输出应该是这样的 –

Collecting Flask
Downloading Flask-0.10.1.tar.gz (544kB)
100% |################################| 544kB 410kB/s
Collecting Werkzeug>=0.7 (from Flask)
Downloading Werkzeug-0.11.4-py2.py3-none-any.whl (305kB)
100% |################################| 307kB 531kB/s
Collecting Jinja2>=2.4 (from Flask)
Downloading Jinja2-2.8-py2.py3-none-any.whl (263kB)
100% |################################| 266kB 935kB/s
Collecting itsdangerous>=0.21 (from Flask)
Downloading itsdangerous-0.24.tar.gz (46kB)
100% |################################| 49kB 1.6MB/s
Collecting MarkupSafe (from Jinja2>=2.4->Flask)
Downloading MarkupSafe-0.23.tar.gz
Installing collected packages: Werkzeug, MarkupSafe, Jinja2, itsdangerous, Flask
Running setup.py install for MarkupSafe
Running setup.py install for itsdangerous
Running setup.py install for Flask
Successfully installed Flask-0.10.1 Jinja2-2.8 MarkupSafe-0.23 Werkzeug-0.11.4 itsdangerous-0.24

以上命令可以直接运行,无需虚拟环境进行系统范围的安装。

以上内容主要是针对 Python 2.x 版本安装Flask的。

Python 3与venv模块捆绑在一起以创建虚拟环境。 如果您使用的是现代版本的Python,则可以继续阅读下一节。

安装Flask

在激活的环境中,这里以Window 10 + Python 3.6环境作为安装演示,使用以下命令安装Flask:

$ pip install Flask

这样,Flask安装就完成了,在一下节中,我们将学习如何使用Flask创建一个简单的Web应用程序。

  

炫意HTML5 » Python框架Flask – Flask开发环境安装配置

Java基础教程Android基础教程